org.apache.olingo.odata2.api.edm

## Enum EdmLiteralKind

- java.lang.Object
- - java.lang.Enum<EdmLiteralKind>
  - - org.apache.olingo.odata2.api.edm.EdmLiteralKind

- All Implemented Interfaces:
    Serializable, Comparable<EdmLiteralKind>

      public enum EdmLiteralKind
      extends Enum<EdmLiteralKind>

  Do not implement this interface or derive from class.
    EdmLiteralKind indicates the format of an EDM literal.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT`
    `JSON`
    `URI`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EdmLiteralKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EdmLiteralKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final EdmLiteralKind DEFAULT

    - #### URI

          public static final EdmLiteralKind URI

    - #### JSON

          public static final EdmLiteralKind JSON

  - ### Method Detail

    - #### values

          public static EdmLiteralKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EdmLiteralKind c : EdmLiteralKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EdmLiteralKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.